[sync_app]
# by default only listen on the internal interface
host = 127.0.0.1
port = 27701
data_root = ./collections
base_url = /sync/
base_media_url = /msync/

# # Legacy, use sqlite3
# auth_db_path = /home/flan/.local/share/ankisyncd/auth.db
# # Legacy, optional, for session persistence between restarts
# session_db_path = /home/flan/.local/share/ankisyncd/session.db

# For overriding the default managers and wrappers
# must inherit from ankisyncd.persistence.PersistenceManger
persistence_manager = panki.PostgresPersistenceManager
# must inherit from ankisyncd.session.SimpleSessionManager
session_manager = panki.PostgresSessionManager
# must inherit from ankisyncd.user.SimpleUserManager
user_manager = panki.PostgresUserManager
# must inherit from ankisyncd.collections.CollectionWrapper
collection_wrapper = panki.PostgresCollectionWrapper

# Override the default collection initialisation with an sql update to the col table.
# This script should be pure, postgres-compatible SQL. It is executed after the default
# collection setup, so you can update only the collection settings that you need and
# you will have all the normal defaults
# collection_init = /full/path/to/your/sql/script.sql
